Update Test Suite
curl --request PUT \
--url https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"testCaseIds": [
{}
]
}
'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}"
payload = {
"name": "<string>",
"testCaseIds": [{}]
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', testCaseIds: [{}]})
};
fetch('https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {}
}Update Test Suite
Update a test suite by ID
PUT
/
v1
/
projects
/
{projectId}
/
test-suites
/
{testSuiteId}
Update Test Suite
Request
PUT https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}
Path Parameters
string
required
The project ID
string
required
The test suite ID
Headers
string
required
Bearer token using your developer key
Body
string
Updated name for the test suite
array
Updated array of test case IDs (replaces all existing connections)
Response
object
The updated test suite object.
Example
curl -X PUT https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId} \
-H "Authorization: Bearer dk_your_key" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated regression suite",
"testCaseIds": ["test-case-uuid-1", "test-case-uuid-3"]
}'
{
"data": {
"id": "test-suite-uuid",
"projectId": "project-uuid",
"name": "Updated regression suite",
"testCases": [
{ "id": "test-case-uuid-1" },
{ "id": "test-case-uuid-3" }
],
"createdAt": "2026-03-23T00:00:00.000Z",
"updatedAt": "2026-03-23T00:00:00.000Z"
}
}
⌘I
